> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blox.report/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit new report

> Requires permissions: reports.submit_report



## OpenAPI

````yaml https://backend.blox.report/openapi.json post /v1/reports/new
openapi: 3.1.0
info:
  title: Blox.report API
  description: >-
    Backend API for Blox.report. Authentication with API key and secret as
    `key:secret` in Authorization header.
  version: 1.0.0
  contact: {}
servers:
  - url: https://backend.blox.report
    description: Production API
security: []
tags:
  - name: Reports
paths:
  /v1/reports/new:
    post:
      tags:
        - Reports
      summary: Submit new report
      description: 'Requires permissions: reports.submit_report'
      operationId: postV1ReportsNew
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                answers:
                  minItems: 1
                  maxItems: 5
                  type: array
                  items:
                    type: object
                    properties:
                      questionId:
                        type: string
                      answer:
                        type: string
                        minLength: 1
                        maxLength: 500
                    required:
                      - questionId
                      - answer
                    additionalProperties: false
                evidence:
                  minItems: 1
                  maxItems: 5
                  type: array
                  items:
                    type: object
                    properties:
                      url:
                        type: string
                      type:
                        type: string
                        enum:
                          - url
                          - s3Upload
                      createEvidence:
                        type: boolean
                    required:
                      - url
                      - type
                    additionalProperties: false
                reporter:
                  type: object
                  properties:
                    id:
                      type: string
                    platform:
                      type: string
                      enum:
                        - roblox
                        - discord
                  required:
                    - id
                    - platform
                  additionalProperties: false
                reportType:
                  type: string
                  enum:
                    - api
                    - website
                    - bot
                  description: >-
                    Admin/elevated API keys only. Source of the report: api,
                    website, or bot.
                  x-elevatedOnly: true
              required:
                - userId
                - answers
                - evidence
                - reporter
              additionalProperties: false
      responses:
        '200':
          description: Report created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    const: true
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
                  message:
                    type: string
                  appended:
                    type: boolean
                    const: true
                required:
                  - success
                  - id
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - message
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                    description: Error message
                  errors:
                    type: array
                    description: >-
                      Only present for 400 when endpoint has a body schema
                      (validation errors)
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API key and secret as `key:secret` in Authorization header.

````